<?php
require_once("../../app/functions.php");
$pag = basename($_SERVER['PHP_SELF']);
comprobar_sesion($pag);
if (!isset($_SESSION['tipo_usuario']) || ($_SESSION['tipo_usuario'] != 'admin' && $_SESSION['tipo_usuario'] != 'inspector')) {
    header("Location: " . SITIO_CARPETA . "/views/tables/fichajes?tipo=error&mensaje=No tienes acceso a esta página");
    exit;
}
gen_plantilla(false, $pag, true, true, 'Motivos', true, true);


?>
<section class="cristal" <?= (!get_config_usuario($_SESSION['id_usuario'], 'reducir_efectos_movimiento')) ? 'style="view-transition-name: cristal;"' : '' ?>>
    <h1 class="resaltado flex row supercentrado"><span class="animacion-izq-drch">🗨️</span> Motivos</h1>
    <?php if ($_SESSION['tipo_usuario'] == 'admin'): ?>
    <a href='../forms/motivos' title="Crear un motivo" class="btn-p">
        Crear motivo</a>
    <?php endif; ?>
    <label class="flex column gap02"><b>Nombre</b>
        <input type="search" id="buscador" placeholder="Buscar por nombre">
    </label>
    <aside id="cargando"></aside>
    <section id="motivos" class="flex column gap05"></section>
</section>
<aside id="showdialog"></aside>
<script>
    window.onload = function () {
        cargar_motivos();
        let buscador = document.getElementById("buscador");
        buscador.addEventListener("keyup", function () {
            cargar_motivos();
        });
    }

    function cargar_motivos() {
        let buscador = document.getElementById("buscador");
        poner_cargando();
        ajax('tables/table_motivos', 'motivos', "nombre=" + buscador.value, ['quitar_cargando()']);
    }

    function cargar_eliminar_motivo(id) {
        ajax('dialogs/dialog_delete_motivo', 'showdialog', "id=" + id, ['cargar_dialog()']);
    }

    function eliminar_motivo(id) {
        ajax('delete/delete_motivo', 'notificaciones', "id=" + id, ['animacion_y_cierre_dialog()', 'cargar_motivos()']);
    }
</script>
<?php footer(true); ?>